
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"37","name":"ol2013 - Outlook 2013 - Grundlagen","category_id":"10","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund um Outlook 2013. Nutzen Sie unser Buch Outlook 2013 - Grundlagen, um eventuell vorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-Outlook.png\"><br><br>","number":"6","image":"test_37_Outlook.png","reference":"<a href=\"http:\/\/www.herdt.com\/artikel\/OL2013\/Outlook-2013\/#description\" target=\"_blank\" rel=\"nofollow\">Outlook 2013 - Grundlagen<\/a><br>","randomize":"0","score":null,"created_at":"2015-05-28 12:00:00","updated_at":"2015-11-24 07:23:28","sortOrder":"57","internal_name":"","category":{"id":"10","name":"Outlook 2013","version_id":"1","created_at":"2015-05-28 06:07:23","updated_at":"2015-10-29 11:31:43","sortOrder":"2"},"version":{"id":"1","name":"Office 2013","created_at":"0000-00-00 00:00:00","updated_at":"2015-04-28 07:51:15","sortOrder":"1"},"questions":[{"id":"278","title":"Frage 1","quiz_id":"37","description":"Wie k\u00f6nnen Sie Bereiche in Outlook vergr\u00f6\u00dfern bzw. verkleinern?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"1.5\r\nDie Anzeige des Outlook-Fensters anpassen (S. 10 - 11)<br><br><br>","created_at":"2015-06-01 06:53:55","updated_at":"2015-07-30 06:50:39","sortOrder":"215","answers":[{"id":"984","question_id":"278","details":"Die Begrenzungslinie <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_01_01.png\"> in eine gew\u00fcnschte Richtung ziehen","correct":"1","image":null,"sortOrder":"763"},{"id":"985","question_id":"278","details":"Im Register <i>ANSICHT<\/i>, Gruppe <i>Personenbereich<\/i> auf <i>Personenbereich <\/i>klicken und <i>Minimiert<\/i> ausw\u00e4hlen","correct":"0","image":null,"sortOrder":"764"},{"id":"986","question_id":"278","details":"Auf den Spaltenkopf klicken und den Bereich in die Mitte ziehen","correct":"0","image":null,"sortOrder":"765"},{"id":"987","question_id":"278","details":"Im Register <i>DATEI<\/i> unter <i>Optionen<\/i> auf <i>Erweitert<\/i> klicken und unter <i>Outlook-Bereiche<\/i> auf <i>Navigation<\/i> klicken","correct":"0","image":null,"sortOrder":"766"}]},{"id":"279","title":"Frage 2","quiz_id":"37","description":"Lassen sich mit Outlook bereits an Kollegen versendete E-Mails zur\u00fcckrufen?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"2.4\r\nE-Mails erneut senden oder zur\u00fcckrufen (S. 23 - 24) <br><br>","created_at":"2015-06-01 07:00:49","updated_at":"2015-07-30 06:50:58","sortOrder":"216","answers":[{"id":"1535","question_id":"279","details":"Nein,\r\neinmal versendete E-Mails lassen sich nicht zur\u00fcckrufen<br><br><br>","correct":"0","image":null,"sortOrder":"1043"},{"id":"1536","question_id":"279","details":"<p>Ja, der Systemadministrator kann bereits\r\nversendete E-Mails zur\u00fcckrufen<\/p>\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"1044"},{"id":"1537","question_id":"279","details":"Ja, innerhalb eines Netzwerkes k\u00f6nnen mit Outlook\r\nversendete E-Mails zur\u00fcckgerufen werden<br><br><br>","correct":"1","image":null,"sortOrder":"1045"},{"id":"1538","question_id":"279","details":"Ja, jede\r\nE-Mail egal ob im eigenen Netzwerk oder au\u00dferhalb des eigenen Netzwerkes kann\r\nzur\u00fcckgerufen werden<br><br><br>","correct":"0","image":null,"sortOrder":"1046"}]},{"id":"420","title":"Frage 3","quiz_id":"37","description":"Was macht die automatische Korrektur in Outlook?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"3.4 Text in E-Mails korrigieren (S. 29 - 30)<br>","created_at":"2015-07-30 05:45:47","updated_at":"2015-07-30 06:51:21","sortOrder":"285","answers":[{"id":"1539","question_id":"420","details":"Die\r\nautomatische Korrektur korrigiert falsch geschriebene E-Mail-Adressen<br><br><br>","correct":"0","image":null,"sortOrder":"1047"},{"id":"1540","question_id":"420","details":"Die\r\nautomatische Korrektur f\u00fchrt eine komplette Rechtschreibpr\u00fcfung Ihrer E-Mail\r\ndurch<br><br><br>","correct":"0","image":null,"sortOrder":"1048"},{"id":"1541","question_id":"420","details":"Die\r\nautomatische Korrektur korrigiert fehlerhafte Einstellungen in Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"1049"},{"id":"1542","question_id":"420","details":"Die automatische Korrektur nimmt einzelne\r\nKorrekturen der Gro\u00df- und Kleinschreibung und Korrekturen der Formatierung\r\ndurch<br><br><br>","correct":"1","image":null,"sortOrder":"1050"}]},{"id":"421","title":"Frage 4","quiz_id":"37","description":"<br>Sie m\u00f6chten eine E-Mail als Textnachricht speichern, wie gehen Sie vor?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"4.4 Empfangene\r\nE-Mails bearbeiten bzw. speichern (S. 42 - 43)<br>","created_at":"2015-07-30 05:55:05","updated_at":"2015-07-30 06:51:38","sortOrder":"286","answers":[{"id":"1543","question_id":"421","details":"<span>In der\r\nge\u00f6ffneten E-Mail im Register <i>NACHRICHT<\/i>\r\nin der Gruppe <i>Verschieben<\/i> auf&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_04_01.png\"> klicken<\/span><br><br><br><br>","correct":"0","image":null,"sortOrder":"1051"},{"id":"1544","question_id":"421","details":"Im Anzeigebereich mit der rechten Maustaste auf\r\ndie E-Mail klicken und im Kontextmen\u00fc auf <i>Verschieben<\/i>\r\nklicken\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"1052"},{"id":"1545","question_id":"421","details":"<span>E-Mail im Anzeigebereich anklicken sowie im\r\nRegister <i>DATEI<\/i> auf <i>Speichern unter<\/i> klicken und im Fenster <i>Speichern unter<\/i> den Dateityp <i>Nur-Text <\/i>w\u00e4hlen<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"1053"},{"id":"1546","question_id":"421","details":"In der\r\nge\u00f6ffneten E-Mail in der Symbolleiste f\u00fcr den Schnellzugriff auf&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_04_02.png\"> klicken<br><br><br><br>","correct":"0","image":null,"sortOrder":"1054"}]},{"id":"422","title":"Frage 5","quiz_id":"37","description":"Was bedeutet das blau hinterlegte Symbol im Anzeigebereich vor einer empfangenen E-Mail?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 46 - 49)&nbsp; <br>","created_at":"2015-07-30 05:58:41","updated_at":"2015-07-30 06:52:08","sortOrder":"287","answers":[{"id":"1547","question_id":"422","details":"Neue ungelesene E-Mail<br><br><br>","correct":"1","image":null,"sortOrder":"1055"},{"id":"1548","question_id":"422","details":"Gelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"1056"},{"id":"1549","question_id":"422","details":"E-Mail\r\nmit Anhang<br><br><br>","correct":"0","image":null,"sortOrder":"1057"},{"id":"1550","question_id":"422","details":"E-Mail\r\nmit Virusverdacht<br><br><br>","correct":"0","image":null,"sortOrder":"1058"}]},{"id":"423","title":"Frage 6","quiz_id":"37","description":"Was bedeutet das rote Ausrufezeichen im Anzeigebereich hinter einer empfangenen E-Mail?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 46 - 49)<br>","created_at":"2015-07-30 06:00:44","updated_at":"2015-07-30 06:52:27","sortOrder":"288","answers":[{"id":"1551","question_id":"423","details":"Ungelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"1059"},{"id":"1552","question_id":"423","details":"Hinweis\r\nauf angefangene E-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"1060"},{"id":"1553","question_id":"423","details":"Die\r\nE-Mail enth\u00e4lt einen Virus<br><br><br>","correct":"0","image":null,"sortOrder":"1061"},{"id":"1554","question_id":"423","details":"Der Sender hat die E-Mail als wichtig eingestuft<br><br><br>","correct":"1","image":null,"sortOrder":"1062"}]},{"id":"424","title":"Frage 7","quiz_id":"37","description":"Was bedeutet das rote F\u00e4hnchen im Anzeigebereich hinter einer empfangenen E-Mail?<br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"5.1 E-Mails\r\nim Anzeigebereich bearbeiten (S. 46 - 49) <br>","created_at":"2015-07-30 06:02:30","updated_at":"2015-07-30 06:52:46","sortOrder":"289","answers":[{"id":"1555","question_id":"424","details":"Die\r\nE-Mail enth\u00e4lt einen Virus.<br><br><br>","correct":"0","image":null,"sortOrder":"1063"},{"id":"1556","question_id":"424","details":"Der\r\nSender hat die E-Mail als wichtig gekennzeichnet.<br><br><br>","correct":"0","image":null,"sortOrder":"1064"},{"id":"1557","question_id":"424","details":"Die E-Mail wurde zur Nachverfolgung gekennzeichnet.<br><br><br>","correct":"1","image":null,"sortOrder":"1065"},{"id":"1558","question_id":"424","details":"Ungelesene\r\nE-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"1066"}]},{"id":"425","title":"Frage 8","quiz_id":"37","description":"Wie ver\u00e4ndern Sie am schnellsten in der Ansicht Telefon bzw. Liste die Spaltensortierung?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"6.4 Eine\r\nandere Darstellung im Anzeigebereich w\u00e4hlen (S. 61)<br>","created_at":"2015-07-30 06:05:02","updated_at":"2015-07-30 06:53:04","sortOrder":"290","answers":[{"id":"1559","question_id":"425","details":"<span>Spaltenkopf\r\nmit der rechten Maustaste anklicken und auf <i>Ansichtssteuerung<\/i>\r\nsowie auf <i>Spalten<\/i> klicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1067"},{"id":"1560","question_id":"425","details":"<span>Im\r\nRegister <i>ANSICHT<\/i>, Gruppe <i>Anordnung<\/i>, auf <i>Erweitern\/Reduzieren<\/i> klicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1068"},{"id":"1561","question_id":"425","details":"Spaltenkopf an die gew\u00fcnschte Position ziehen<br><br><br>","correct":"1","image":null,"sortOrder":"1069"},{"id":"1562","question_id":"425","details":"<span>Spaltenkopf\r\nmit der rechten Maustaste anklicken und auf <i>Feldauswahl<\/i>\r\nklicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1070"}]},{"id":"426","title":"Frage 9","quiz_id":"37","description":"Was verbirgt sich hinter einer VCF-Datei?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"6.6\r\nKontaktdaten senden und empfangen (S. 63 - 64)<br>","created_at":"2015-07-30 06:06:03","updated_at":"2015-07-30 06:53:27","sortOrder":"291","answers":[{"id":"1563","question_id":"426","details":"Eine\r\nTextdatei<br><br><br>","correct":"0","image":null,"sortOrder":"1071"},{"id":"1564","question_id":"426","details":"Ein Virus<br><br><br>","correct":"0","image":null,"sortOrder":"1072"},{"id":"1565","question_id":"426","details":"Eine als\r\nTextdatei gespeicherte E-Mail<br><br><br>","correct":"0","image":null,"sortOrder":"1073"},{"id":"1566","question_id":"426","details":"Eine Visitenkartendatei<br><br><br>","correct":"1","image":null,"sortOrder":"1074"}]},{"id":"427","title":"Frage 10","quiz_id":"37","description":"Wie nehmen Sie im ge\u00f6ffneten Adressbuch \u00c4nderungen an einer Kontaktgruppe vor?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.3 Kontaktgruppen\r\nbearbeiten (S. 74)<br>","created_at":"2015-07-30 06:10:21","updated_at":"2015-07-30 06:53:49","sortOrder":"292","answers":[{"id":"1567","question_id":"427","details":"Den\r\nAdministrator kontaktieren, damit dieser die \u00c4nderung vornimmt<br><br><br>","correct":"0","image":null,"sortOrder":"1075"},{"id":"1568","question_id":"427","details":"<span>Kontaktgruppe doppelt anklicken und\r\ndie \u00c4nderungen \u00fcber das Register <i>KONTAKTGRUPPE<\/i>\r\nvornehmen<\/span>\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"1076"},{"id":"1569","question_id":"427","details":"\u00c4nderungen\r\nan Kontaktgruppen k\u00f6nnen nicht vorgenommen werden<br><br><br>","correct":"0","image":null,"sortOrder":"1077"},{"id":"1570","question_id":"427","details":"Kontaktieren\r\nSie den Microsoft-Support, damit dieser die Funktion freischaltet<br><br><br>","correct":"0","image":null,"sortOrder":"1078"}]},{"id":"428","title":"Frage 11","quiz_id":"37","description":"Worauf klicken Sie in der Tagesansicht, um schnell einen ganzt\u00e4gigen Termin einzutragen?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"8.7\r\nGanzt\u00e4gige Termine und Ereignisserien eintragen (S. 86 - 87) <br>","created_at":"2015-07-30 06:12:11","updated_at":"2015-07-30 06:54:25","sortOrder":"293","answers":[{"id":"1571","question_id":"428","details":"Auf das Datum\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"1079"},{"id":"1572","question_id":"428","details":"Auf den\r\nWochentag<br><br><br>","correct":"0","image":null,"sortOrder":"1080"},{"id":"1573","question_id":"428","details":"<span>Auf <i>Neuer Termin<\/i> im Register <i>START<\/i>, Gruppe <i>Neu<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1081"},{"id":"1574","question_id":"428","details":"<span>Rechtsklick\r\nauf das Datum und im Kontextmen\u00fc auf <i>Neuer\r\nTermin<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1082"}]},{"id":"429","title":"Frage 12","quiz_id":"37","description":"Wo \u00e4ndern Sie die Arbeitstage und den Wochenbeginn?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"9.2 Das Modul\r\nKalender individuell anpassen (S. 92 - 93) <br>","created_at":"2015-07-30 06:13:47","updated_at":"2015-07-30 06:54:49","sortOrder":"294","answers":[{"id":"1575","question_id":"429","details":"<span>Im\r\nRegister <i>DATEI<\/i> auf <i>Drucken <\/i>&nbsp;klicken und <i>Kontoeinstellungen<\/i> anklicken<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1083"},{"id":"1576","question_id":"429","details":"Arbeitstage\r\nund Wochenbeginn k\u00f6nnen nicht ge\u00e4ndert werden<br><br><br>","correct":"0","image":null,"sortOrder":"1084"},{"id":"1577","question_id":"429","details":"<span>Im Register <i>DATEI<\/i>\r\nauf <i>Optionen<\/i> klicken und im Fenster <i>Outlook-Optionen<\/i> auf <i>Kalender<\/i> klicken<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"1085"},{"id":"1578","question_id":"429","details":"\u00c4nderungen\r\nmuss der Administrator vornehmen<br><br><br>","correct":"0","image":null,"sortOrder":"1086"}]},{"id":"430","title":"Frage 13","quiz_id":"37","description":"Welche Aussage trifft nicht auf die Besprechungsplanung mit Outlook zu?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"10.1\r\nBesprechungen mit Outlook planen (S. 98)<br>","created_at":"2015-07-30 06:14:51","updated_at":"2015-07-30 06:55:08","sortOrder":"295","answers":[{"id":"1579","question_id":"430","details":"Die freie\r\nZeit der Teilnehmer wird in Outlook angezeigt<br><br><br>","correct":"0","image":null,"sortOrder":"1087"},{"id":"1580","question_id":"430","details":"Jeder kann ohne vorherige Freigabe auf die Daten anderer\r\nTeilnehmer zugreifen<br><br><br>","correct":"1","image":null,"sortOrder":"1088"},{"id":"1581","question_id":"430","details":"Die\r\nBesprechungsanfrage wird per E-Mail versendet und die Teilnehmer k\u00f6nnen\r\nreagieren<br><br><br>","correct":"0","image":null,"sortOrder":"1089"},{"id":"1582","question_id":"430","details":"Die\r\nvereinbarte Besprechung wird als Termin im Kalender eingetragen<br><br><br>","correct":"0","image":null,"sortOrder":"1090"}]},{"id":"431","title":"Frage 14","quiz_id":"37","description":"An welchem Symbol erkennen Sie im Posteingang eine Einladung zu einer Besprechung?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"10.3 Auf\r\nBesprechungseinladung antworten (S. 101 - 104)<br>","created_at":"2015-07-30 06:17:25","updated_at":"2015-07-30 06:55:33","sortOrder":"296","answers":[{"id":"1583","question_id":"431","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_14_01.png\"><br><br><br>","correct":"1","image":null,"sortOrder":"1091"},{"id":"1584","question_id":"431","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_14_02.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"1092"},{"id":"1585","question_id":"431","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_14_03.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"1093"},{"id":"1586","question_id":"431","details":"Symbol <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_37-OL2013_14_04.png\"><br><br><br>","correct":"0","image":null,"sortOrder":"1094"}]},{"id":"432","title":"Frage 15","quiz_id":"37","description":"Klicken Sie eine Aufgabe einer Aufgabenserie mit der rechten Maustaste an und w\u00e4hlen Sie L\u00f6schen, wird \u2026<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"11.2\r\nAufgaben mit Details eintragen (S. 114 - 116)<br>","created_at":"2015-07-30 06:19:22","updated_at":"2015-07-30 06:55:55","sortOrder":"297","answers":[{"id":"1587","question_id":"432","details":"die\r\nAufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"1095"},{"id":"1588","question_id":"432","details":"die ganze Aufgabenserie gel\u00f6scht.<br><br><br>","correct":"1","image":null,"sortOrder":"1096"},{"id":"1589","question_id":"432","details":"die\r\naktuell anstehende Aufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"1097"},{"id":"1590","question_id":"432","details":"keine\r\nAufgabe gel\u00f6scht.<br><br><br>","correct":"0","image":null,"sortOrder":"1098"}]},{"id":"433","title":"Frage 16","quiz_id":"37","description":"Wie erstellen Sie einen neuen Unterordner?<br><br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"12.1 Ordner\r\nerstellen und bearbeiten (S. 124 - 125)<br>","created_at":"2015-07-30 06:26:07","updated_at":"2015-07-30 06:56:40","sortOrder":"298","answers":[{"id":"1591","question_id":"433","details":"<span>Ordner anklicken und im Register <i>ORDNER<\/i>, Gruppe <i>Neu<\/i> auf <i>Neuer Ordner<\/i> bzw.\r\n<i>Neuer Kalender<\/i> klicken<\/span><br><br><br>","correct":"1","image":null,"sortOrder":"1099"},{"id":"1592","question_id":"433","details":"Neue\r\nOrdner und Unterordner k\u00f6nnen nur vom Administrator angelegt werden<br><br><br>","correct":"0","image":null,"sortOrder":"1100"},{"id":"1593","question_id":"433","details":"Es k\u00f6nnen\r\nkeine Unterordner angelegt werden<br><br><br>","correct":"0","image":null,"sortOrder":"1101"},{"id":"1594","question_id":"433","details":"<span>Ordner\r\nmit der rechten Maustaste anklicken und <i>Eigenschaften<\/i>\r\nw\u00e4hlen<\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1102"}]},{"id":"787","title":"Frage 17","quiz_id":"37","description":"Welche Aussage stimmen?\r\n\r\n<br><br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"12.2 Elemente verwalten (S. 125 - 126)<br><br><br><br>","created_at":"2015-11-24 07:14:25","updated_at":"2015-11-24 07:23:01","sortOrder":"300","answers":[{"id":"3002","question_id":"787","details":"Sie k\u00f6nnen aus einem Kontakt eine E-Mail, eine\r\nBesprechungsanfrage oder eine Aufgabenanfrage an diesen Kontakt erstellen.\r\n\r\n<br><br><br><br>","correct":"1","image":null,"sortOrder":"2429"},{"id":"3003","question_id":"787","details":"Sie k\u00f6nnen aus einer Aufgabe einen Termin oder eine Notiz\r\nerzeugen.\r\n\r\n<br><br><br><br>","correct":"1","image":null,"sortOrder":"2430"},{"id":"3004","question_id":"787","details":"Sie k\u00f6nnen aus einer Notiz eine Aufgabe oder eine neue\r\nNachricht erstellen.\r\n\r\n<br><br><br><br>","correct":"1","image":null,"sortOrder":"2431"},{"id":"3005","question_id":"787","details":"Sie k\u00f6nnen aus einer E-Mail eine Notiz erstellen.<br><br><br>","correct":"1","image":null,"sortOrder":"2432"}]},{"id":"435","title":"Frage 18","quiz_id":"37","description":"Welche Informationen k\u00f6nnen Sie in eine Signatur eintragen? Mehrere Antworten sind richtig.<br><br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"13.2\r\nSignaturen verwenden (S. 135 - 136) <br>","created_at":"2015-07-30 06:30:55","updated_at":"2015-11-24 07:14:38","sortOrder":"301","answers":[{"id":"1599","question_id":"435","details":"Namen<br><br><br>","correct":"1","image":null,"sortOrder":"1107"},{"id":"1600","question_id":"435","details":"Postanschrift<br><br><br>","correct":"1","image":null,"sortOrder":"1108"},{"id":"1601","question_id":"435","details":"Aktuelles\r\nWetter<br><br><br>","correct":"0","image":null,"sortOrder":"1109"},{"id":"1602","question_id":"435","details":"Telefonnummern<br><br><br>","correct":"1","image":null,"sortOrder":"1110"}]},{"id":"436","title":"Frage 19","quiz_id":"37","description":"Welche\r\nInformationen k\u00f6nnen Sie f\u00fcr eine Abwesenheitsnotiz festlegen? Mehrere\r\nAntworten sind richtig.<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"13.3\r\nAbwesenheit eintragen (S. 137 - 138)<br><br><br>","created_at":"2015-07-30 06:35:15","updated_at":"2015-11-24 07:14:38","sortOrder":"302","answers":[{"id":"1603","question_id":"436","details":"Beginn - Ende<br><br><br>","correct":"1","image":null,"sortOrder":"1111"},{"id":"1604","question_id":"436","details":"Automatische Antwort bzw. keine automatische\r\nAntwort<br><br><br>","correct":"1","image":null,"sortOrder":"1112"},{"id":"1605","question_id":"436","details":"Die\r\npers\u00f6nliche Anrede<br><br><br>","correct":"0","image":null,"sortOrder":"1113"},{"id":"1606","question_id":"436","details":" Unterschiedliche Abwesenheitsnotizen\r\nf\u00fcr innerhalb und au\u00dferhalb des Unternehmens\r\n\r\n<br><br><br>","correct":"1","image":null,"sortOrder":"1114"}]},{"id":"437","title":"Frage 20","quiz_id":"37","description":"Was sind\r\nQuickSteps?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"13.4\r\nQuickSteps verwenden (S. 138 - 139) <br><br><br>","created_at":"2015-07-30 06:36:40","updated_at":"2015-11-24 07:14:38","sortOrder":"303","answers":[{"id":"1607","question_id":"437","details":"Schnelle\r\nNachrichten<br><br><br>","correct":"0","image":null,"sortOrder":"1115"},{"id":"1608","question_id":"437","details":"Automatisierung h\u00e4ufig verwendeter Vorg\u00e4nge<br><br><br>","correct":"1","image":null,"sortOrder":"1116"},{"id":"1609","question_id":"437","details":"Schnelle\r\nUmfragen<br><br><br>","correct":"0","image":null,"sortOrder":"1117"},{"id":"1610","question_id":"437","details":"Einfachere\r\nVerwaltung des Posteingangs<br><br><br>","correct":"0","image":null,"sortOrder":"1118"}]},{"id":"438","title":"Frage 21","quiz_id":"37","description":"Wie nennt\r\nman unerw\u00fcnschte Nachrichten? Mehrere Antworten sind richtig.<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"14.1\r\nUnerw\u00fcnschte E-Mails blockieren (S. 144 - 146) <br><br><br>","created_at":"2015-07-30 06:38:48","updated_at":"2015-11-24 07:14:38","sortOrder":"304","answers":[{"id":"1611","question_id":"438","details":"E-Mails<br><br><br>","correct":"0","image":null,"sortOrder":"1119"},{"id":"1612","question_id":"438","details":"Spam<br><br><br>","correct":"1","image":null,"sortOrder":"1120"},{"id":"1613","question_id":"438","details":"Junk-E-Mails<br><br><br>","correct":"1","image":null,"sortOrder":"1121"},{"id":"1614","question_id":"438","details":"Snail Mails<br><br><br>","correct":"0","image":null,"sortOrder":"1122"}]},{"id":"439","title":"Frage 22","quiz_id":"37","description":"Welche\r\nAussage trifft auf das Verwalten von E-Mails mittels Regeln zu?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"14.4 E-Mails\r\nmit Regeln verwalten (S. 150 - 153)<br><br><br>","created_at":"2015-07-30 06:42:06","updated_at":"2015-11-24 07:14:38","sortOrder":"305","answers":[{"id":"1615","question_id":"439","details":"Regeln sind Aktionen, die ausgef\u00fchrt werden, wenn\r\nein-\/ausgehende E-Mails bestimmte Bedingungen erf\u00fcllen<br><br><br>","correct":"1","image":null,"sortOrder":"1123"},{"id":"1616","question_id":"439","details":"Regeln\r\nk\u00f6nnen nur auf den Postausgang angewendet werden<br><br><br>","correct":"0","image":null,"sortOrder":"1124"},{"id":"1617","question_id":"439","details":"Regeln\r\nk\u00f6nnen nur auf den Posteingang angewendet werden<br><br><br>","correct":"0","image":null,"sortOrder":"1125"},{"id":"1618","question_id":"439","details":"Regeln sind nur auf Aktionen innerhalb des\r\nFirmennetzwerkes anwendbar\r\n\r\n<br><br><br>","correct":"0","image":null,"sortOrder":"1126"}]},{"id":"440","title":"Frage 23","quiz_id":"37","description":"Welche Arten der Kalenderfreigabe stellt Outlook zur\r\nVerf\u00fcgung? Mehrere Antworten sind richtig.\r\n\r\n<br><br><br>","type":"1","status":"1","image":null,"randomize":"0","reference":"15.1\r\nKalender freigeben (S. 156 - 158) <br><br><br>","created_at":"2015-07-30 06:44:00","updated_at":"2015-11-24 07:14:38","sortOrder":"306","answers":[{"id":"1619","question_id":"440","details":"Alle Details<br><br><br>","correct":"1","image":null,"sortOrder":"1127"},{"id":"1620","question_id":"440","details":"Uneingeschr\u00e4nkte\r\nNutzung<br><br><br>","correct":"0","image":null,"sortOrder":"1128"},{"id":"1621","question_id":"440","details":"Nur Verf\u00fcgbarkeit<br><br><br>","correct":"1","image":null,"sortOrder":"1129"},{"id":"1622","question_id":"440","details":"Absolute\r\nVerf\u00fcgbarkeit<br><br><br>","correct":"0","image":null,"sortOrder":"1130"}]},{"id":"441","title":"Frage 24","quiz_id":"37","description":"Was\r\nbedeutet es den Kalender freizugeben?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"15.1\r\nKalender freigeben (S. 156 - 158)<br><br><br>","created_at":"2015-07-30 06:45:58","updated_at":"2015-11-24 07:14:38","sortOrder":"307","answers":[{"id":"1623","question_id":"441","details":"Der\r\nAdministrator hat Zugriff auf Ihren Kalender und kann dort Wartungsarbeiten\r\nvornehmen<br><br><br>","correct":"0","image":null,"sortOrder":"1131"},{"id":"1624","question_id":"441","details":"Ihr\r\nKalender wird im Internet allen zur Verf\u00fcgung gestellt<br><br><br>","correct":"0","image":null,"sortOrder":"1132"},{"id":"1625","question_id":"441","details":"Mit der Freigabe gew\u00e4hren Sie einer Person Zugriff\r\nauf Ihren Kalender<br><br><br>","correct":"1","image":null,"sortOrder":"1133"},{"id":"1626","question_id":"441","details":"Der\r\nKalender kann unkontrollierbar von jedem genutzt werden<br><br><br>","correct":"0","image":null,"sortOrder":"1134"}]},{"id":"442","title":"Frage 25","quiz_id":"37","description":"F\u00fcr\r\nwelche(s) Modul(e) k\u00f6nnen Sie Stellvertreterrechte erteilen?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"15.2\r\nStellvertreterrechte erteilen (S. 159 - 161)<br><br><br>","created_at":"2015-07-30 06:47:54","updated_at":"2015-11-24 07:14:34","sortOrder":"308","answers":[{"id":"1627","question_id":"442","details":"<span>F\u00fcr das\r\nModul <i>E-Mail<\/i> und <i>Kalender<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1135"},{"id":"1628","question_id":"442","details":"<span>F\u00fcr das\r\nModul <i>Aufgaben<\/i><\/span><br><br><br>","correct":"0","image":null,"sortOrder":"1136"},{"id":"1629","question_id":"442","details":"F\u00fcr keine\r\nModule<br><br><br>","correct":"0","image":null,"sortOrder":"1137"},{"id":"1630","question_id":"442","details":"F\u00fcr alle Module<br><br><br>","correct":"1","image":null,"sortOrder":"1138"}]},{"id":"443","title":"Frage 26","quiz_id":"37","description":"Was ist ein\r\nRSS-Feed?<br><br><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"16.3\r\nWeitere Konten einrichten (S. 167 - 169)<br><br><br>","created_at":"2015-07-30 06:49:34","updated_at":"2015-11-24 07:14:34","sortOrder":"630","answers":[{"id":"1631","question_id":"443","details":"Radiosender\r\nin Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"1139"},{"id":"1632","question_id":"443","details":"Dynamische Lesezeichen<br><br><br>","correct":"1","image":null,"sortOrder":"1140"},{"id":"1633","question_id":"443","details":"\u00dcbersetzungstool\r\nf\u00fcr Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"1141"},{"id":"1634","question_id":"443","details":"Chatprogramm\r\nin Outlook<br><br><br>","correct":"0","image":null,"sortOrder":"1142"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


