
/* Controllers */

var quizControllers = angular.module('quizControllers', []);


quizControllers.factory( 'Global', function($rootScope) {
    var data = {"id":"76","name":"PowerPoint 2013 - Grundlagen","category_id":"3","description":"Pr\u00fcfen Sie Ihre Kenntnisse und Kompetenzen rund um PowerPoint 2013. Nutzen Sie unser Buch&nbsp;<i>PowerPoint 2013 - Grundlagen<\/i>, um eventuell vorhandene Wissensl\u00fccken schnell und effizient zu schlie\u00dfen.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-PowerPoint.png\"><br>","number":"","image":null,"reference":"","randomize":"0","score":null,"created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:29:49","sortOrder":"64","internal_name":"POW2013_NEU - Office-Quiz","category":{"id":"3","name":"PowerPoint","version_id":"1","created_at":"0000-00-00 00:00:00","updated_at":"2015-03-17 13:43:26","sortOrder":"3"},"version":{"id":"1","name":"Office 2013","created_at":"0000-00-00 00:00:00","updated_at":"2015-04-28 07:51:15","sortOrder":"1"},"questions":[{"id":"600","title":"Frage 1","quiz_id":"76","description":"<span>Wie unterst\u00fctzt Sie PowerPoint bei Ihren Vortr\u00e4gen?\r\nMehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image001.png\"><br><br><br><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"1.1 Was ist&nbsp;PowerPoint?","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 11:50:48","sortOrder":"443","answers":[{"id":"2257","question_id":"600","details":"Sie m\u00fcssen beim Vortrag nur noch den Text auf den\r\nFolien vorlesen.","correct":"0","image":null,"sortOrder":"1684"},{"id":"2258","question_id":"600","details":"Folien erg\u00e4nzen Ihren Vortrag, indem sie\r\nWichtiges zusammenfassen.","correct":"1","image":null,"sortOrder":"1685"},{"id":"2259","question_id":"600","details":"Mithilfe von Grafiken k\u00f6nnen Sie komplizierte\r\nSachverhalte verdeutlichen.","correct":"1","image":null,"sortOrder":"1686"},{"id":"2260","question_id":"600","details":"Folien k\u00f6nnen als Handzettel gedruckt und an das\r\nPublikum verteilt werden.","correct":"1","image":null,"sortOrder":"1687"}]},{"id":"601","title":"Frage 2","quiz_id":"76","description":"<span>Sie w\u00e4hlen auf dem PowerPoint-Startbildschirm <i>Leere Pr\u00e4sentation<\/i>. Welche Folie ist in\r\nder neu erzeugten Bildschirmpr\u00e4sentation bereits enthalten?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image002.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"1.2 PowerPoint starten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 11:51:38","sortOrder":"444","answers":[{"id":"2261","question_id":"601","details":"<p>Eine Folie mit dem Layout <i>Titel und Inhalt<\/i><\/p>","correct":"0","image":null,"sortOrder":"1688"},{"id":"2262","question_id":"601","details":"Keine Folie","correct":"0","image":null,"sortOrder":"1689"},{"id":"2263","question_id":"601","details":"Die Titelfolie","correct":"1","image":null,"sortOrder":"1690"},{"id":"2264","question_id":"601","details":"Die Schlussfolie","correct":"0","image":null,"sortOrder":"1691"}]},{"id":"602","title":"Frage 3","quiz_id":"76","description":"Wie geben Sie eine in PowerPoint ge\u00f6ffnete\r\nPr\u00e4sentation wieder? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"1.3 Pr\u00e4sentation betrachten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:14:43","sortOrder":"445","answers":[{"id":"2265","question_id":"602","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image003.png\">","correct":"0","image":null,"sortOrder":"1692"},{"id":"2266","question_id":"602","details":"<button onclick='return false' class='keyboard-f5 keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"1693"},{"id":"2267","question_id":"602","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image004.png\">","correct":"1","image":null,"sortOrder":"1694"},{"id":"2268","question_id":"602","details":"<button onclick='return false' class='keyboard-f6 keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1695"},{"id":"2269","question_id":"602","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image005.png\">","correct":"0","image":null,"sortOrder":"1696"}]},{"id":"603","title":"Frage 4","quiz_id":"76","description":"Mit welcher Schaltfl\u00e4che f\u00fcgen Sie Ihrer\r\nPr\u00e4sentation eine neue Folie hinzu?","type":"2","status":"1","image":null,"randomize":"0","reference":"1.4 Pr\u00e4sentation bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:15:24","sortOrder":"446","answers":[{"id":"2270","question_id":"603","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image006.png\">","correct":"1","image":null,"sortOrder":"1697"},{"id":"2271","question_id":"603","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image007.png\">","correct":"0","image":null,"sortOrder":"1698"},{"id":"2272","question_id":"603","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image008.png\">","correct":"0","image":null,"sortOrder":"1699"},{"id":"2273","question_id":"603","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image009.png\">","correct":"0","image":null,"sortOrder":"1700"}]},{"id":"604","title":"Frage 5","quiz_id":"76","description":"Warum sollten Texte in\r\nBildschirmpr\u00e4sentationen m\u00f6glichst als Aufz\u00e4hlungen formatiert sein? Mehrere Antworten sind\r\nrichtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"1.4 Pr\u00e4sentation bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:15:55","sortOrder":"447","answers":[{"id":"2274","question_id":"604","details":"Aufz\u00e4hlungstexte lassen sich schneller merken.","correct":"1","image":null,"sortOrder":"1701"},{"id":"2275","question_id":"604","details":"Aufz\u00e4hlungstexte sehen besser aus.","correct":"0","image":null,"sortOrder":"1702"},{"id":"2276","question_id":"604","details":"Aufz\u00e4hlungstexte wirken seri\u00f6ser.","correct":"0","image":null,"sortOrder":"1703"},{"id":"2277","question_id":"604","details":"Aufz\u00e4hlungstexte fassen Wichtiges zusammen.","correct":"1","image":null,"sortOrder":"1704"}]},{"id":"605","title":"Frage 6","quiz_id":"76","description":"<span>Sie m\u00f6chten einen Aufz\u00e4hlungspunkt wieder h\u00f6herstufen.\r\nWie gehen Sie vor? Mehrere Antworten sind m\u00f6glich.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image010.png\"><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"3.1 Folien mit Aufz\u00e4hlungstexten erzeugen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:16:36","sortOrder":"448","answers":[{"id":"2278","question_id":"605","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-tab keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"1705"},{"id":"2279","question_id":"605","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image012.png\">","correct":"0","image":null,"sortOrder":"1706"},{"id":"2280","question_id":"605","details":"<button onclick='return false' class='keyboard-tab keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1707"},{"id":"2281","question_id":"605","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image013.png\">","correct":"1","image":null,"sortOrder":"1708"}]},{"id":"606","title":"Frage 7","quiz_id":"76","description":"<span>Worauf klicken Sie im unteren Platzhalter, um\r\nauf der aktuellen Folie ein Foto einzuf\u00fcgen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image014.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"1.4 Pr\u00e4sentation bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:17:11","sortOrder":"449","answers":[{"id":"2282","question_id":"606","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image015.png\">","correct":"0","image":null,"sortOrder":"1709"},{"id":"2283","question_id":"606","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image016.png\">","correct":"0","image":null,"sortOrder":"1710"},{"id":"2284","question_id":"606","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image017.png\">","correct":"0","image":null,"sortOrder":"1711"},{"id":"2285","question_id":"606","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image018.png\">","correct":"0","image":null,"sortOrder":"1712"},{"id":"2286","question_id":"606","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image019.png\">","correct":"1","image":null,"sortOrder":"1713"}]},{"id":"607","title":"Frage 8","quiz_id":"76","description":"Wie k\u00f6nnen Sie die letzte Aktion r\u00fcckg\u00e4ngig\r\nmachen? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"1.4 Pr\u00e4sentation bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:20:11","sortOrder":"450","answers":[{"id":"2287","question_id":"607","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image020.png\">","correct":"0","image":null,"sortOrder":"1714"},{"id":"2288","question_id":"607","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-z keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"1715"},{"id":"2289","question_id":"607","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image021.png\">","correct":"1","image":null,"sortOrder":"1716"},{"id":"2290","question_id":"607","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-r keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1717"}]},{"id":"608","title":"Frage 9","quiz_id":"76","description":"Sie m\u00f6chten die Folien Ihrer Bildschirmpr\u00e4sentation als Handzettel\r\ndrucken. Im welchem Register nehmen Sie die Druckeinstellungen vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image022.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"1.5 Pr\u00e4sentation drucken","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:21:07","sortOrder":"451","answers":[{"id":"2291","question_id":"608","details":"Register <i>START<\/i>","correct":"0","image":null,"sortOrder":"1718"},{"id":"2292","question_id":"608","details":"Register <i>DATEI<\/i>","correct":"1","image":null,"sortOrder":"1719"},{"id":"2293","question_id":"608","details":"Register <i>BILDSCHIRMPR\u00c4SENTATION<\/i>","correct":"0","image":null,"sortOrder":"1720"},{"id":"2294","question_id":"608","details":"Register <i>ANSICHT<\/i>","correct":"0","image":null,"sortOrder":"1721"}]},{"id":"609","title":"Frage 10","quiz_id":"76","description":"<span>Wie k\u00f6nnen Sie zwischen mehreren ge\u00f6ffneten\r\nPr\u00e4sentationen wechseln? Mehrere Antworten sind richtig.<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image023.png\"><br><\/span>","type":"1","status":"1","image":null,"randomize":"0","reference":"2.6 Pr\u00e4sentationen erzeugen und \u00f6ffnen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:21:38","sortOrder":"452","answers":[{"id":"2295","question_id":"609","details":"Register <i>ANSICHT<\/i>, Gruppe <i>Fenster<\/i>","correct":"1","image":null,"sortOrder":"1722"},{"id":"2296","question_id":"609","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button><button onclick='return false' class='keyboard-f6 keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"1723"},{"id":"2297","question_id":"609","details":"Register <i>ANSICHT<\/i>, Gruppe <i>Anzeigen<\/i>","correct":"0","image":null,"sortOrder":"1724"},{"id":"2298","question_id":"609","details":"PowerPoint-Schaltfl\u00e4che in der Taskleiste","correct":"1","image":null,"sortOrder":"1725"}]},{"id":"610","title":"Frage 11","quiz_id":"76","description":"Was wird durch das Folienlayout bestimmt?","type":"2","status":"1","image":null,"randomize":"0","reference":"1.4 Pr\u00e4sentation bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:22:18","sortOrder":"453","answers":[{"id":"2299","question_id":"610","details":"Anzahl, Art und Anordnung der Platzhalter","correct":"1","image":null,"sortOrder":"1726"},{"id":"2300","question_id":"610","details":"Schriftart und Schriftgr\u00f6\u00dfe","correct":"0","image":null,"sortOrder":"1727"},{"id":"2301","question_id":"610","details":"Alle Farben auf der Folie","correct":"0","image":null,"sortOrder":"1728"}]},{"id":"611","title":"Frage 12","quiz_id":"76","description":"Welche Aussagen zum Folienlayout treffen zu?\r\nMehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"3.3 Folienlayouts zuweisen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:22:51","sortOrder":"454","answers":[{"id":"2302","question_id":"611","details":"<span>Das Folienlayout einer Folie kann im Register <i>START<\/i> ge\u00e4ndert werden.<\/span>","correct":"1","image":null,"sortOrder":"1729"},{"id":"2303","question_id":"611","details":"Jedes Folienlayout verf\u00fcgt \u00fcber mindestens einen\r\nPlatzhalter.","correct":"0","image":null,"sortOrder":"1730"},{"id":"2304","question_id":"611","details":"Das Folienlayout kann beim Einf\u00fcgen einer neuen\r\nFolie gew\u00e4hlt werden.","correct":"1","image":null,"sortOrder":"1731"},{"id":"2305","question_id":"611","details":"Das Folienlayout l\u00e4sst sich nachtr\u00e4glich nicht\r\n\u00e4ndern.","correct":"0","image":null,"sortOrder":"1732"}]},{"id":"612","title":"Frage 13","quiz_id":"76","description":"<span>Worin unterscheiden sich die beiden abgebildeten\r\nFolien?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image30.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"3.5 Foliendesigns nutzen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:23:24","sortOrder":"455","answers":[{"id":"2306","question_id":"612","details":"Im Design","correct":"1","image":null,"sortOrder":"1733"},{"id":"2307","question_id":"612","details":"Im Folienlayout","correct":"0","image":null,"sortOrder":"1734"},{"id":"2308","question_id":"612","details":"Es sind zwei Varianten eines Designs.","correct":"0","image":null,"sortOrder":"1735"},{"id":"2309","question_id":"612","details":"Im Design und im Folienlayout","correct":"0","image":null,"sortOrder":"1736"}]},{"id":"613","title":"Frage 14","quiz_id":"76","description":"In welchem Register stellen Sie die Foliengr\u00f6\u00dfe\r\nIhrer Bildschirmpr\u00e4sentation ein?","type":"2","status":"1","image":null,"randomize":"0","reference":"3.6 Foliengr\u00f6\u00dfe","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:23:49","sortOrder":"456","answers":[{"id":"2310","question_id":"613","details":"Register <i>BILDSCHIRMPR\u00c4SENTATION<\/i>","correct":"0","image":null,"sortOrder":"1737"},{"id":"2311","question_id":"613","details":"Register <i>ENTWURF<\/i>","correct":"1","image":null,"sortOrder":"1738"},{"id":"2312","question_id":"613","details":"Register <i>START<\/i>","correct":"0","image":null,"sortOrder":"1739"},{"id":"2313","question_id":"613","details":"Register <i>ANSICHT<\/i>","correct":"0","image":null,"sortOrder":"1740"}]},{"id":"614","title":"Frage 15","quiz_id":"76","description":"Sie m\u00f6chten eine \u00dcberschrift in Kapit\u00e4lchen\r\nformatieren. Wo nehmen Sie diese Einstellung vor?","type":"2","status":"1","image":null,"randomize":"0","reference":"4.3 Besondere Zeichenformatierungen vornehmen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"457","answers":[{"id":"2314","question_id":"614","details":"Register <i>START<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image32.png\">","correct":"0","image":null,"sortOrder":"1741"},{"id":"2315","question_id":"614","details":"Register <i>START<\/i>, Gruppe <i>Schriftart<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image33.png\">","correct":"1","image":null,"sortOrder":"1742"},{"id":"2316","question_id":"614","details":"Register <i>FORMAT<\/i>, Gruppe <i>Schrift<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image32.png\">","correct":"0","image":null,"sortOrder":"1743"},{"id":"2317","question_id":"614","details":"Register&nbsp;<i>FORMAT<\/i>, Gruppe&nbsp;<i>Schrift<\/i>,&nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image33.png\">","correct":"0","image":null,"sortOrder":"1744"}]},{"id":"615","title":"Frage 16","quiz_id":"76","description":"Sie m\u00f6chten das Copyright-Zeichen <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image34.png\">\r\nauf der Titelfolie\r\neinf\u00fcgen. Wie gehen Sie vor? Mehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"4.3 Besondere Zeichenformatierungen vornehmen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"458","answers":[{"id":"2318","question_id":"615","details":"Register <i>EINF\u00dcGEN<\/i>, Gruppe <i>Illustrationen<\/i>, <i>Formen<\/i>","correct":"0","image":null,"sortOrder":"1745"},{"id":"2319","question_id":"615","details":"<i>{c}<\/i> eintippen","correct":"0","image":null,"sortOrder":"1746"},{"id":"2320","question_id":"615","details":"Register <i>EINF\u00dcGEN<\/i>, Gruppe <i>Symbole<\/i>, <i>Symbol<\/i>","correct":"1","image":null,"sortOrder":"1747"},{"id":"2321","question_id":"615","details":"<i>(c)<\/i> eintippen","correct":"1","image":null,"sortOrder":"1748"}]},{"id":"616","title":"Frage 17","quiz_id":"76","description":"Mit welcher Schaltfl\u00e4che \u00e4ndern Sie den\r\nZeilenabstand in einem Textplatzhalter?","type":"2","status":"1","image":null,"randomize":"0","reference":"4.4 Abs\u00e4tze formatieren","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"459","answers":[{"id":"2322","question_id":"616","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image35.png\">","correct":"0","image":null,"sortOrder":"1749"},{"id":"2323","question_id":"616","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image36.png\">","correct":"1","image":null,"sortOrder":"1750"},{"id":"2324","question_id":"616","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image37.png\">","correct":"0","image":null,"sortOrder":"1751"}]},{"id":"617","title":"Frage 18","quiz_id":"76","description":"Sie haben Ihre Pr\u00e4sentation in der Leseansicht\r\nkontrolliert. Mit welchem Symbol der Statusleiste wechseln Sie zur\u00fcck in die\r\nNormalansicht?","type":"2","status":"1","image":null,"randomize":"0","reference":"6.1 Basiswissen Ansichten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:24:45","sortOrder":"460","answers":[{"id":"2325","question_id":"617","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image38.png\">","correct":"0","image":null,"sortOrder":"1752"},{"id":"2326","question_id":"617","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image39.png\">","correct":"0","image":null,"sortOrder":"1753"},{"id":"2327","question_id":"617","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image40.png\">","correct":"0","image":null,"sortOrder":"1754"},{"id":"2328","question_id":"617","details":"<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image41.png\">","correct":"1","image":null,"sortOrder":"1755"}]},{"id":"618","title":"Frage 19","quiz_id":"76","description":"Welche Vorteile bietet die Gliederungsansicht?\r\nMehrere Antworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"6.3 Gliederungsansicht","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:25:03","sortOrder":"461","answers":[{"id":"2329","question_id":"618","details":"Man\r\nbeh\u00e4lt den \u00dcberblick \u00fcber die inhaltliche Struktur der Pr\u00e4sentation.","correct":"1","image":null,"sortOrder":"1756"},{"id":"2330","question_id":"618","details":"Man kann die Abbildungen auf den Folien besser\r\nbearbeiten.","correct":"0","image":null,"sortOrder":"1757"},{"id":"2331","question_id":"618","details":"Man\r\nwird bei der Bearbeitung nicht von grafischen Inhalten abgelenkt.","correct":"1","image":null,"sortOrder":"1758"},{"id":"2332","question_id":"618","details":"Man\r\nkann sich besser auf die Texte der Folien konzentrieren.","correct":"1","image":null,"sortOrder":"1759"}]},{"id":"619","title":"Frage 20","quiz_id":"76","description":"<span>Sie haben im Register <i>EINF\u00dcGEN<\/i> in der Gruppe <i>Illustrationen<\/i>\r\ndie Form <img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image42.png\"><\/span>\r\nausgew\u00e4hlt. Welche Taste halten Sie beim\r\nAufziehen gedr\u00fcckt, um ein exaktes Quadrat zu zeichnen?","type":"2","status":"1","image":null,"randomize":"0","reference":"7.1 Visualisierungen einsetzen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:25:24","sortOrder":"462","answers":[{"id":"2333","question_id":"619","details":"<button onclick='return false' class='keyboard-shiftleft keyboard-key'> <\/button>","correct":"1","image":null,"sortOrder":"1760"},{"id":"2334","question_id":"619","details":"<button onclick='return false' class='keyboard-ctrlleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1761"},{"id":"2335","question_id":"619","details":"<button onclick='return false' class='keyboard-altleft keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1762"},{"id":"2336","question_id":"619","details":"<button onclick='return false' class='keyboard-altright keyboard-key'> <\/button>","correct":"0","image":null,"sortOrder":"1763"}]},{"id":"620","title":"Frage 21","quiz_id":"76","description":"In den Farbauswahllisten finden Sie die Pipette &nbsp;<img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image43.png\">.<span>&nbsp;Welche Aufgabe erf\u00fcllt sie?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image44.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.4 Form- und F\u00fclleffekte zuweisen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"463","answers":[{"id":"2337","question_id":"620","details":"Mit\r\nder Pipette l\u00e4sst sich schnell eine Farbe ausw\u00e4hlen, die auf der Folie bereits\r\ngenutzt wird.","correct":"1","image":null,"sortOrder":"1764"},{"id":"2338","question_id":"620","details":"Mit der Pipette lassen sich geschlossene Formen\r\nmit einer Hintergrundfarbe f\u00fcllen.","correct":"0","image":null,"sortOrder":"1765"},{"id":"2339","question_id":"620","details":"Mit der Pipette lassen sich Textformatierungen\r\n\u00fcbertragen.","correct":"0","image":null,"sortOrder":"1766"},{"id":"2340","question_id":"620","details":"Mit der Pipette werden Farben in Designfarben\r\numgewandelt.","correct":"0","image":null,"sortOrder":"1767"}]},{"id":"621","title":"Frage 22","quiz_id":"76","description":"<span>Sie m\u00f6chten ein beschriftetes Rechteck als\r\nBlickf\u00e4nger auf Ihrer Folie einf\u00fcgen. Wie gehen Sie am effizientesten vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image45.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.6 Objekte beschriften","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"464","answers":[{"id":"2341","question_id":"621","details":"Rechteck-Form\r\neinf\u00fcgen, markieren, Text eingeben","correct":"1","image":null,"sortOrder":"1768"},{"id":"2342","question_id":"621","details":"Rechteck-Form einf\u00fcgen, Textfeld \u00fcber der Form platzieren,\r\nText eingeben","correct":"0","image":null,"sortOrder":"1769"},{"id":"2343","question_id":"621","details":"Rechteck-Form einf\u00fcgen, Textplatzhalter \u00fcber der\r\nForm platzieren, Text eingeben","correct":"0","image":null,"sortOrder":"1770"}]},{"id":"622","title":"Frage 23","quiz_id":"76","description":"<span>Wie wurden die links abgebildeten Pfeile\r\nausgerichtet, damit sie dem rechten Bild entsprechen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image46.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"7.10 Objekte ausrichten und verteilen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 10:26:36","sortOrder":"465","answers":[{"id":"2344","question_id":"622","details":"Horizontal verteilen","correct":"0","image":null,"sortOrder":"1771"},{"id":"2345","question_id":"622","details":"Vertikal verteilen","correct":"0","image":null,"sortOrder":"1772"},{"id":"2346","question_id":"622","details":"Horizontal und vertikal verteilen","correct":"1","image":null,"sortOrder":"1773"},{"id":"2347","question_id":"622","details":"Linksb\u00fcndig ausrichten","correct":"0","image":null,"sortOrder":"1774"}]},{"id":"623","title":"Frage 24","quiz_id":"76","description":"<span>Sie m\u00f6chten die Abbildungen auf Ihren Folien mit\r\neinem Fotorahmen versehen. Wie gehen Sie dazu vor?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image47.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"8.3 Bilder bearbeiten","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:26:23","sortOrder":"466","answers":[{"id":"2348","question_id":"623","details":"<span>Im\r\nRegister <i>FORMAT<\/i> eine Bildformatvorlage\r\nausw\u00e4hlen<\/span>","correct":"1","image":null,"sortOrder":"1775"},{"id":"2349","question_id":"623","details":"<span>Im Register <i>ENTWURF<\/i>\r\nein Design ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"1776"},{"id":"2350","question_id":"623","details":"<span>Im Register <i>FORMAT<\/i>\r\neinen k\u00fcnstlerischen Effekt ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"1777"},{"id":"2351","question_id":"623","details":"<span>Im Register <i>ENTWURF<\/i>\r\neine Designvariante ausw\u00e4hlen<\/span>","correct":"0","image":null,"sortOrder":"1778"}]},{"id":"624","title":"Frage 25","quiz_id":"76","description":"<span>Wie bezeichnet man die abgebildeten Grafiktypen?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image48.png\"><br><\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"9.1 Basiswissen SmartArt-Grafiken","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:26:50","sortOrder":"467","answers":[{"id":"2352","question_id":"624","details":"Organigramm","correct":"0","image":null,"sortOrder":"1779"},{"id":"2353","question_id":"624","details":"SmartArt","correct":"1","image":null,"sortOrder":"1780"},{"id":"2354","question_id":"624","details":"Diagramm","correct":"0","image":null,"sortOrder":"1781"},{"id":"2355","question_id":"624","details":"Tabellenillustration","correct":"0","image":null,"sortOrder":"1782"}]},{"id":"625","title":"Frage 26","quiz_id":"76","description":"Welche Aussage trifft auf Kreisdiagramme zu?<br><br><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image49.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"10.1 Basiswissen Diagramme","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:27:14","sortOrder":"468","answers":[{"id":"2356","question_id":"625","details":"Die einzelnen Farben der Kreissegmente sind nicht\r\n\u00e4nderbar.","correct":"0","image":null,"sortOrder":"1783"},{"id":"2357","question_id":"625","details":"Ein\r\nKreisdiagramm kann immer nur&nbsp;eine Datenreihe abbilden.","correct":"1","image":null,"sortOrder":"1784"},{"id":"2358","question_id":"625","details":"Kreisdiagramme eignen sich gut zur Darstellung\r\nvieler Einzelwerte.","correct":"0","image":null,"sortOrder":"1785"},{"id":"2359","question_id":"625","details":"Kreisdiagramme haben immer vier Kreissegmente.","correct":"0","image":null,"sortOrder":"1786"}]},{"id":"626","title":"Frage 27","quiz_id":"76","description":"Was versteht man unter \u201eFolienmaster\u201c? Mehrere\r\nAntworten sind richtig.","type":"1","status":"1","image":null,"randomize":"0","reference":"12.1 Basiswissen Vorlagen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:27:43","sortOrder":"469","answers":[{"id":"2360","question_id":"626","details":"Der Folienmaster bestimmt die Reihenfolge der\r\nFolien in einer Pr\u00e4sentation.&nbsp;","correct":"0","image":null,"sortOrder":"1787"},{"id":"2361","question_id":"626","details":"Der Folienmaster ist ein Mitarbeiter, der\r\nVorlagen f\u00fcr Pr\u00e4sentationen erstellt.","correct":"0","image":null,"sortOrder":"1788"},{"id":"2362","question_id":"626","details":"Im\r\nFolienmaster werden Platzhalter und Formatierungen folien\u00fcbergreifend\r\nfestgelegt.","correct":"1","image":null,"sortOrder":"1789"},{"id":"2363","question_id":"626","details":"Im\r\nFolienmaster sind die Folienlayouts definiert.","correct":"1","image":null,"sortOrder":"1790"}]},{"id":"627","title":"Frage 28","quiz_id":"76","description":"<span>Die Referentenansicht unterst\u00fctzt Sie bei Ihrem\r\nVortrag. Welche Funktion bietet sie<i> nicht<\/i>?<\/span>","type":"2","status":"1","image":null,"randomize":"0","reference":"11.2 Referentenansicht nutzen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:28:29","sortOrder":"470","answers":[{"id":"2364","question_id":"627","details":"Freihandzeichnen auf der Folie","correct":"0","image":null,"sortOrder":"1791"},{"id":"2365","question_id":"627","details":"Nutzung der Maus als Textmarker","correct":"0","image":null,"sortOrder":"1792"},{"id":"2366","question_id":"627","details":"Drucken\r\neiner Folie als Handzettel","correct":"1","image":null,"sortOrder":"1793"},{"id":"2367","question_id":"627","details":"Springen zu einer beliebigen Folie","correct":"0","image":null,"sortOrder":"1794"},{"id":"2368","question_id":"627","details":"Nutzung der Maus als Laserpointer","correct":"0","image":null,"sortOrder":"1795"}]},{"id":"628","title":"Frage 29","quiz_id":"76","description":"Welche Eigenschaften bzw. Inhalte einer\r\nPr\u00e4sentation werden beim Exportieren in das PDF-Format verworfen?","type":"2","status":"1","image":null,"randomize":"0","reference":"14.1 Pr\u00e4sentationen exportieren","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:29:07","sortOrder":"471","answers":[{"id":"2369","question_id":"628","details":"SmartArts und Diagramme","correct":"0","image":null,"sortOrder":"1796"},{"id":"2370","question_id":"628","details":"Animationen\r\nund \u00dcberblendungen","correct":"1","image":null,"sortOrder":"1797"},{"id":"2371","question_id":"628","details":"Formen und WordArt-Texte","correct":"0","image":null,"sortOrder":"1798"},{"id":"2372","question_id":"628","details":"Tabellen und Textfelder","correct":"0","image":null,"sortOrder":"1799"}]},{"id":"629","title":"Frage 30","quiz_id":"76","description":"<span>Sie m\u00f6chten den Standardspeicherort f\u00fcr Ihre\r\nPowerPoint-Pr\u00e4sentationen \u00e4ndern. In welchem Register k\u00f6nnen Sie das Fenster <i>PowerPoint-Optionen<\/i> \u00f6ffnen?<br><br><\/span><img style=\"max-height: 300px\" src=\"img\/quiz\/test_image_76-image50.png\"><br>","type":"2","status":"1","image":null,"randomize":"0","reference":"16.3 PowerPoint-Optionen anpassen","created_at":"2015-09-23 10:26:36","updated_at":"2015-09-23 12:29:42","sortOrder":"472","answers":[{"id":"2373","question_id":"629","details":"<span>Register <i>ANSICHT<\/i><\/span>","correct":"0","image":null,"sortOrder":"1800"},{"id":"2374","question_id":"629","details":"<span>Register <i>BILDSCHIRMPR\u00c4SENTATION<\/i><\/span>","correct":"0","image":null,"sortOrder":"1801"},{"id":"2375","question_id":"629","details":"<span>Register\r\n<i>DATEI<\/i><\/span>","correct":"1","image":null,"sortOrder":"1802"},{"id":"2376","question_id":"629","details":"<span>Register <i>START<\/i><\/span>","correct":"0","image":null,"sortOrder":"1803"}]}],"groups":[]};
    var current = 0;
    var answers = [];
    var results = [];
    var submitted = 0;

    //Hack for IE (localStorage does not supported in IE when you open file locally)
    if (localStorage == undefined) {
        angular.element('.col-md-8.ng-scope').html('<h1 class="text-center">Ein Fehler ist Aufgetreten. <br/>Dieser Browser unterstützt keinen Webspeicher bei lokaler Ausführung! <br/>Bitte benutzen Sie einen anderen Browser.</h1>');
    }

    return {
        getData: function() { return data; },

        setCurrent: function(value) { current = value; localStorage.setItem('current', current);},
        getCurrent: function() { if (localStorage.getItem('current') != null) {
                                     current =  localStorage.getItem('current');
                                 }
                                 return current;
                                },
        setAnswer: function(value) {

            if (answers[current] == null || typeof(answers[current])== undefined)
            {
                answers[current] = value;
            }
            localStorage.setItem('answers', JSON.stringify(answers));
        },
        setResult: function(value) {

            if (results[current] == null || typeof(results[current])== undefined)
            {
                results[current] = value;
            }
            localStorage.setItem('results', JSON.stringify(results));
        },
        getResult: function() { if (localStorage.getItem('results')!= null) {
                                results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results[current];
                               },
        getResults: function() { if (localStorage.getItem('results')!= null) {
                                   results = JSON.parse(localStorage.getItem('results'));
                                }
                                return results;
                                },
        resetResults: function() { results = [];   localStorage.removeItem('results');},
        resetAnswers: function() { answers = [];  localStorage.removeItem('answers');},
        getAnswer: function() {
                                if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                }
                                return answers[current];
                              },
        getAnswers: function() {
                                 if (localStorage.getItem('answers') != null){
                                    answers = JSON.parse(localStorage.getItem('answers'));
                                 }
                                 return answers;
                                },

        setSubmitted: function() { submitted++; localStorage.setItem('submitted', submitted); },
        resetSubmitted: function() { submitted = 0; localStorage.setItem('submitted', submitted);  },
        getSubmitted: function() { if (localStorage.getItem('submitted')!= null) {
                                    submitted = localStorage.getItem('submitted');
                                    }
                                   return submitted;
                                  }
    };
});


quizControllers.controller('QuizStartCtrl', ['$scope','$http','$localStorage','$location','$sce','Global',
  function($scope, $http, $localStorage, $location, $sce, Global) {
      $scope.go = function ( path ) {
          $location.path( path );
      };
      Global.setCurrent(0);
      Global.resetSubmitted();
      Global.resetAnswers();
      Global.resetResults();
      localStorage.clear();
      $scope.data = Global.getData();
      $scope.current = Global.current;
      $scope.quiz = $scope.data;
      $scope.size = $scope.data.questions.length;
      $scope.description = $sce.trustAsHtml($scope.data.description);


  }]);

quizControllers.controller('QuizResultsCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce', 'Global',
    function($scope, $rootScope, $http, $localStorage, $location, $sce, Global) {

        $scope.go = function ( path ) {
            $location.path( path );
        };
        $scope.submitted = Global.getSubmitted();

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        Global.resetResults();
                        localStorage.clear();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };

        if (!$scope.submitted) {
            $scope.stop();
        }


        $scope.data = Global.getData();
        $scope.current = Global.current;
        $scope.quiz = $scope.data;
        $scope.size = $scope.data.questions.length;

        $scope.results = Global.getResults();
        $scope.sum = 0;
        for (var i in $scope.results) {
            $scope.sum += $scope.results[i];
        }

        $scope.reference = $sce.trustAsHtml($scope.quiz.reference);

        $scope.percent = Math.round($scope.sum * 100/ $scope.size);
        if ($scope.data.score) {
            $scope.passed = ($scope.percent >= $scope.data.score);
        } else {
            $scope.passed = 0;
        }

        $scope.score = $scope.data.score;
        $scope.group = '';
        $scope.group_description = '';
        if ($scope.data.score) {
            for (var i in $scope.data.groups) {
                if ($scope.percent >= $scope.data.groups[i]['score']) {
                  $scope.group = $scope.data.groups[i]['name'];
                  $scope.group_description = $sce.trustAsHtml($scope.data.groups[i]['description']);
                  break;
                }
            }
        }
        for (var i in $scope.data.questions) {
            if (typeof($scope.data.questions[i]['reference']) != 'object') {
            $scope.data.questions[i]['reference'] = $sce.trustAsHtml($scope.data.questions[i]['reference']);
        }
        }

    }]);

quizControllers.controller('QuizProcessCtrl', ['$scope', '$rootScope', '$http', '$localStorage', '$location','$sce','$routeParams','Global',
    function($scope, $rootScope, $http,  $localStorage, $location, $sce, $routeParams, Global) {
        $scope.go = function ( path ) {
            $location.path( path );
        };

        $scope.stop = function () {
            BootstrapDialog.show({
                title: 'Konfirmation',
                message: 'Wollen Sie wirklich den Test beenden?',
                buttons: [{
                    label: 'Ja',
                    action: function(dialogRef){
                        Global.setCurrent(0);
                        Global.resetSubmitted();
                        Global.resetAnswers();
                        dialogRef.close();

                        $rootScope.$apply(function() {
                            $location.path('/quiz');
                        });
                    }
                },{
                    label: 'Nein',
                    action: function(dialogRef){
                        dialogRef.close();
                    }
                },
                ]
            });
        };
        $scope.submit = function () {
            if ($("input[name=answer]:checked").get().length)
            {
                Global.setSubmitted();
                $scope.submitted = Global.getSubmitted();
                $scope.showSubmit = false;
                $scope.showSkip = false;
                $scope.showNext = !$scope.last;
                $scope.showResult = $scope.submitted == $scope.size;
                $scope.showMissed = $scope.last &&  $scope.submitted != $scope.size;

                if ($("input[name=answer]:checked").get().length == 1) {
                    var check = $("input[name=answer]:checked").val();
                } else {
                    var check = $("input[name=answer]:checked").map(function() {
                            return this.value;
                    }).get();
                }

                Global.setAnswer(check);
                $scope.answer = Global.getAnswer();
                var point = 1;
                $.when($("input[name=answer]").each(function(){
                        if ($(this).attr('data-correct') == 1)
                        {
                            $(this).parent().addClass('test');
                        }
                        else if (this.checked && $(this).attr('data-correct') != 1) {
                            $(this).parent().addClass('test2');
                        }
                        if( ($(this).attr('data-correct')==1 && !this.checked) ||
                            ($(this).attr('data-correct')!=1 && this.checked)) {
                            point = 0;
                        }
                    })).done(function(){
                            Global.setResult(point);
                });
            } else {
                BootstrapDialog.show({
                    title: 'Warnung',
                    message: 'Bitte wählen Sie mindestens eine Antwort aus',
                    buttons: [{
                        label: 'OK',
                        action: function(dialogRef){
                            dialogRef.close();
                        }
                    },
                    ]
                });

            }

        };
        $scope.data = Global.getData();

        $scope.shift = $routeParams.shift;
        $scope.current = Global.getCurrent();

        if ($scope.shift) {
            Global.setCurrent(parseInt($scope.shift));
            $scope.current = parseInt($scope.shift);
        }

        $scope.question =  $scope.data.questions[$scope.current];

        if (typeof($scope.question) != undefined) {
            $scope.size =  $scope.data.questions.length;
            $scope.answer = Global.getAnswer();
            $scope.answers = Global.getAnswers();

            $scope.submitted = Global.getSubmitted();

            $scope.results = Global.getResults();

            $scope.last = (($scope.current + 1) == $scope.size);

            $scope.prev = $scope.current-1;
            $scope.next = $scope.next-1;

            if (typeof($scope.question.description) != 'object') {
                $scope.description = $sce.trustAsHtml($scope.question.description);
            }
            if (typeof($scope.question.reference) != 'object') {
                $scope.reference = $sce.trustAsHtml($scope.question.reference);
            }

            for (var i in $scope.question.answers) {
                if (typeof($scope.question.answers[i].details) != 'object') {
                    $scope.question.answers[i].details = $sce.trustAsHtml($scope.question.answers[i].details);
                }
            }

            $scope.range = []

            for (var i=1; i<=$scope.size; i++) {
                $scope.range.push(i);
            }

            $scope.showSubmit = !$scope.answer;
            $scope.showNext = !$scope.last && $scope.answer;
            $scope.showPrev = $scope.current > 0;
            $scope.showMissed = $scope.last &&  $scope.answer && $scope.submitted != $scope.size;

            $scope.showResult =  $scope.submitted == $scope.size;

            $scope.showSkip = !$scope.last && !$scope.answer;
            $scope.showImg = $scope.question.image;

            $scope.percent = ($scope.current+1)*100/$scope.size ;
        }
        $scope.url = window.location.href;


    }]);


